Basque Cyber Security Centre - Centro Vasco de Ciberseguridad

Denegación de servicio en PLCs WAGO

Fecha de publicación: 02/04/2018

Importancia: Media

Recursos afectados:

Los siguientes versiones de productos de la serie 750 de PLCs WAGO con firmware versión 10 o anterior, están afectados:

  • 750-880
  • 750-881
  • 750-852
  • 750-882
  • 750-885
  • 750-831
  • 750-889
  • 750-829

Descripción:

Se ha publicado una vulnerabilidad que podría permitir que un atacante provocara una condición de denegación de servicio en los productos afectados.

Solución:

WAGO ha publicado nuevas versiones de firmware que solucionan la vulnerabilidad descrita en este aviso. Para poder obtener las nuevas versiones de firmware, deberá ponerse en contacto con WAGO en el siguiente buzón de correo electrónico: [email protected].

Detalle:

Debido a una incorrecta implementación de la negociación inicial en tres fases propio de una comunicación TCP, un atacante remoto, podría afectar a las comunicaciones con las herramientas de comisión y servicio. Igualmente, mediante el envío de paquetes especialmente diseñados al puerto 2455 TCP/IP (usado por el software de gestión Codesys), podría provocarse una condición de denegación de servicio en las comunicaciones con las citadas herramientas de comisión y servicio.

Etiquetas: Actualización, Comunicaciones, Vulnerabilidad